Name:           ini4j
Version:        0.3.2
Release:        4%{?dist}
Summary:        Java API for handling files in Windows .ini format

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.ini4j.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.zip
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:         %{name}-%{version}-pom.xml.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# Recommended by http://fedoraproject.org/wiki/Packaging/Java
BuildRequires:  jpackage-utils
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
# Additionally defined in the pom.xml
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-antrun

# See http://www.ini4j.org/dependencies.html
# These dependencies are required to compile the application:
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  maven2 >= 2.0.4
BuildRequires:  tomcat5-servlet-2.4-api >= 5.5
# These dependencies are only required to compile unit tests for the application:
# BuildRequires:  jetty >= 4.2.2
# BuildRequires:  junit >= 3.8.2
# BuildRequires:  easymock >= 2.3
# BuildRequires:  easymockclassextension >= 2.3
# BuildRequires:  cglib-nodep >= 2.1_3
# These dependencies are only required to run unit tests for the application:
# Requires:  jetty >= 4.2.2
# Requires:  junit >= 3.8.2
# Requires:  easymock >= 2.3
# Requires:  easymockclassextension >= 2.3
# Requires:  cglib-nodep >= 2.1_3
# These dependencies should be provided by default when using the library:
Requires:  tomcat5-servlet-2.4-api >= 5.5

Requires:       jpackage-utils
Requires:       java >= 1:1.6.0

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
The [ini4j] is a simple Java API for handling configuration files in Windows 
.ini format. Additionally, the library includes Java Preferences API 
implementation based on the .ini file.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep

%setup -q

cp -a %{SOURCE1} ./LICENSE-2.0.txt

find . -type f \( -iname "*.jar" -o -iname "*.class" \) | xargs -t %{__rm} -f

%patch0 -p1 -b .sav

# remove test sources
%{__rm} -rf src/test
# remove site sources
%{__rm} -rf src/site


%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
%{__mkdir_p} $MAVEN_REPO_LOCAL

mvn-jpp \
-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
install javadoc:javadoc

%install
%{__rm} -rf %{buildroot}

# JAR
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}-%{version}.jar %{name}.jar)

# Javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%{__install} -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%{__install} -pm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%add_to_maven_depmap org.apache.maven %{name} %{version} JPP %{name}

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}
%{_javadir}/*
%doc LICENSE-2.0.txt src/main/java/org/ini4j/package.html

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Wed Aug 27 2008 Victor Vasilyev <victor.vasilyev@sun.com> 0.3.2-4
- Versionless symbolic link to the jar is added
- Redundant user-defined macro for the poms directory is removed
- Description is formatted
- The LICENSE file added

* Thu Aug 21 2008 Victor Vasilyev <victor.vasilyev@sun.com> 0.3.2-3
- Ability to switch on the alternative implementations is removed
- The %%{__install} macro is used everywhere instead of the install command
- All macroses reflecting a folders layout of the project are removed
- Explicit scriptlet dependencies for /bin/sh are removed
- Owning of /etc/maven/fragments/ini4j is removed

* Fri Aug 15 2008 Victor Vasilyev <victor.vasilyev@sun.com> 0.3.2-2
- Documentation added
- Appropriate values of Group Tags are chosen from the official list
- The /etc/maven/fragments/ini4j file is attributed as a config(noreplace)

* Fri Jun 06 2008 Victor Vasilyev <victor.vasilyev@sun.com> 0.3.2-1
- Initial version.
  The spec provides target jar and javadoc, but 
  it doesn't provide tests and site that are 
  also defined in the original project.
